part of '../../cresce_ui.dart';

class CInputList extends StatelessWidget {
  const CInputList({super.key, required this.children});

  final List<Widget> children;

  @override
  Widget build(BuildContext context) {
    return Column(
      children: getWidgets().toList(growable: false),
    );
  }

  Iterable<Widget> getWidgets() sync* {
    yield const SizedBox(height: 50);
    for (var child in children) {
      yield child;
      yield const SizedBox(height: 30);
    }
  }
}
